%define	name	bos
%define	version 2.6.1
%define rel	4

Name:		%{name} 
Summary:	A real time strategy game
Version:	%{version} 
Release:	%mkrel %{rel} 
Source0:	http://www.boswars.org/dist/releases/boswars-%{version}-src.zip
# It doesn't provide it's own icon yet
# Found this on their patch tracker
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
Patch1:		boswars-2.6.1-scons-blows.patch
URL:		http://www.boswars.org/
Group:		Games/Strategy
License:	GPLv2+
BuildRequires:	scons
BuildRequires:	libx11-devel
BuildRequires:	mesagl-devel
BuildRequires:	SDL-devel
BuildRequires:	lua-devel
BuildRequires:	libogg-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	png-devel
BuildRequires:	libtheora-devel
BuildRequires:	zlib-devel
BuildRequires:	imagemagick

%description
Invasion - Battle of Survival is a real-time strategy game using
the Stratagus game engine. 

%prep
%setup -q -n boswars-%{version}-src
%patch1 -p0 

%build
%setup_compile_flags
scons opengl=1

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%_gamesbindir,%_gamesdatadir/bos}
install -m755 boswars %{buildroot}%_gamesbindir

cp -ra campaigns graphics intro languages maps scripts sounds units %{buildroot}%{_gamesdatadir}/bos/
cat << EOF > ./bos.sh
#!/bin/sh
boswars \$@ -d %{_gamesdatadir}/bos/
EOF
install -m755 ./bos.sh -D %{buildroot}%{_gamesbindir}/bos

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Bos Wars
Comment=Invasion: Battle of survival - a real time strategy game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;StrategyGame;
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc doc/*
%{_gamesdatadir}/bos/
%{_gamesbindir}/bos
%{_gamesbindir}/boswars
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog

* Tue Sep 13 2011 fwang <fwang> 2.6.1-4.mga2
+ Revision: 142950
- rebuild for new libpng

* Mon Apr 25 2011 wally <wally> 2.6.1-3.mga1
+ Revision: 90296
- fix desktop file (mga#954)
- drop unused patch from .src.rpm
- drop buildroot definition
- clean .spec a bit

* Thu Mar 17 2011 tv <tv> 2.6.1-2.mga1
+ Revision: 73493
- clean up
- imported package bos

